Skip to main content
GET
/
v1
/
persons
/
{personId}
/
paymentInfo
Get payment information
curl --request GET \
  --url https://api.cadanapay.com/v1/persons/{personId}/paymentInfo \
  --header 'Authorization: Bearer <token>'
{
  "preferredMethod": "wallet",
  "wallet": {
    "identifier": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
    "type": "USER",
    "currency": "USD"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

personId
string<uuid>
required

The unique identifier for the person

Response

get person payment info response

Get person payment info

preferredMethod
enum<string>
required

The preferred payment method type

Available options:
momo,
bank,
swift,
ach,
wallet,
wire
Example:

"bank"

momo
object
bank
object
swift
object
ach
object
wallet
object
wire
object

Wire transfer payment details